Eclipse와 JDK9에서 @PostConstruct 어노테이션 오류

오랜만에 Eclipse를 띄어서 이전 프로젝트를 확인 하는데 @PostConstruct 어노테이션을 찾을 수 없다는 오류가 보였다.

따로 변경한 것은 JDK 버젼을 8에서 9로 업그레이드 한거 말곤 없었다.

검색을 해보니 해당 문제에 대한 해결책이 있었다.

eclipse.ini 파일에 –add-modules=java.se.ee 옵션을 추가 하면 된다.

-vmargs
--add-modules=java.se.ee
-Dosgi.requiredJavaVersion=1.8
-Xms256m
-Xmx1024m

JDK9이 아직 안정화가 안된건지, 여러 모듈에서 오류가 발생한다.

참고 자료


Posted by lahuman